/*
 * File: parmloop.h
 * By: David Hiebeler
 *     http://www.math.umaine.edu/~hiebeler
 *     First written: May 2011
 *
 * Facilities for looping over parameter values
 *
Copyright (c) 2013 David Hiebeler. All Rights Reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. The name of the author may not be used to endorse or promote
products derived from this software without specific prior written
permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 */

#include "parmlooptypes.h"
extern void PLinitData(PLdata *pldptr),
  PLinitVars(PLdata *pldptr), PLincrementVars(PLdata *pldptr);
extern int PLreadDoubleArg(char *str, PLdata *pldptr, double *varptr, char *name);
extern int PLreadIntArg(char *str, PLdata *pldptr, int *varptr, char *name);
extern int PLreadIntArgValueAsCounter(char *str, PLdata *pldptr, int *varptr, char *name);
extern void PLprintParms(PLdata *pldptr, FILE *fp, char commentChar);
